# knownRemotes

This configuration section can be used to specify the connection and authentication details of Jira projects that are used by multiple synchronization projects. Specifying `knownRemotes` section can be specified in parent or user-specific configuration files to avoid repeating the same settings or including credentials to the project repository. See [Hierarchical configuration files](/specsync/jira/features/general-features/hierarchical-configuration-files.md) for details.

The following example shows a usage of this section.

```javascript
{
  ...
  "knownRemotes": [
    {
      "projectUrl": "https://somecompany.atlassian.net/*",
      "user": "g2x.....................ac2vx57i4a"
    },
    {
      "projectUrl": "https://specsyncdemo.atlassian.net/MyCalculator",
      "user": "y6s.....................ksuc7tsts"
    }
  ],
  ...
}
```

## Settings

The `knownRemotes` section specify an array of remote configurations. The possible values are the same as described in the [remote section](/specsync/jira/reference/configuration/configuration-remote.md), with the exception that for `knownRemotes` the `projectUrl` can contain a leading asterisk (`*`) to be able to match the settings to all projects with the same URL prefix.

{% content-ref url="/pages/As0iwTwtwwMJKOfZACmA" %}
[Configuration reference](/specsync/jira/reference/configuration.md)
{% endcontent-ref %}

{% content-ref url="/pages/XLaDr3bZoV389eIGAntV" %}
[remote](/specsync/jira/reference/configuration/configuration-remote.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/configuration/configuration-knownremotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
